<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field\Enum;

use AuxCF\Entities\Settings\Traits\SettingEnumTraits;

enum ImageFieldReturnFormatEnum: string
{
  use SettingEnumTraits;

  case Array = 'array';
  case Url = 'url';
  case Id = 'id';

  public const SETTING_KEY = 'return_format';
  public const SETTING_LABEL = 'image field return format';

  public const DEFAULT = self::Array;
}
